﻿@import url('https://fonts.googleapis.com/css?family=Share+Tech+Mono&display=swap');

/* MAJOR OVER-RIDES */
body {
    font-size: .8rem;
    font-weight: 600;
}

.table td._min-width,
.table th._min-width {
    width: 1%;
}
table.dataTable.table-striped > tbody > tr.odd:hover,
table.dataTable.table-striped > tbody > tr.even:hover {
    --bs-table-accent-bg: #e9f4db !important;
}

/* FIXES FOR OFFCANVAS AND Z-INDEX */
.offcanvas { z-index:1080; } /* ensure offcanvas appears on top of expanded panel */
.form-subsec { width: 100%; text-align: center; border-bottom: 1px dashed #999999; line-height: 0.1em; margin: 30px 0 20px;}
.form-subsec span { background: #fff; padding: 0 10px; }
.form-subsec-end { width: 100%; border-bottom: 1px  dashed #999999; line-height: 0.1em; margin: 20px 0 30px;}
.select2-container--open { z-index: 999999; }

.container-dir-form { max-width:750px; }

/* TIME INPUT */
.time-input {
    font-family: 'Share Tech Mono', monospace;
    width: 200px;
    font-size: xx-large;
    text-align: center;
    border-color: red;
    border-style: solid;
    border-radius: 5px;
}
/* COLOR INPUT */
input::-webkit-color-swatch {
    border: none;
}

.swal2-popup .swal2-styled:focus {
    box-shadow: none !important;
}

._info-tooltip {
    border-bottom: 2px dotted #348fe2;
}
._fancy-link {
    text-decoration: none;
    border-bottom: 2px dotted #ff5b57;
    color: black;
}
._fancy-link:hover {
    text-decoration: none;
    border-bottom: 2px solid #ff5b57;
    color: black;
}

/* TABS USING UNDERLINE */
.custom-tab.active {
    background: transparent !important;
    color: white !important;
    border-bottom: 2px solid yellow !important;
    border-radius: 0px !important;
}
/* MAX WIDTH CONTAINERS */
.container-mw1000 {
    max-width: 1000px;
}
.container-mw800 {
    max-width: 800px;
}
